# mkdocs.yml

# Project Information
site_name: YFinGames Internal notes
# site_url: https://example.com/
# site_author: Andrea Rigoni
# site_description: >-
#   Description of the chiptunes from the hardware specs to the
#   use inside the Tilde arrow Furnace

# # Repository
# #repo_name: your-github-username/my-docs-project
# #repo_url: https://github.com/your-github-username/my-docs-project

# # Copyright
# copyright: Copyright &copy; 2025 Andrea Rigoni


# Navigation Structure
# This defines the order and hierarchy of your pages in the navigation bar.
nav:
  - Home:
    - 'Introduction': index.md
    - 'Music': 
      - music/index.md
      - 'Yamaha (OPx)':
        - 'Introduction': music/Yamaha/introduction.md
        - music/Yamaha/operators.md
        - 'Chip Table': music/Yamaha/comparison.md
        - music/Yamaha/details.md
        - 'Furnace OPx': music/Yamaha/furnace.md





#
# Configuration
theme:
  name: readthedocs

# Add MathJax support
extra_javascript:
  - https://polyfill.io/v3/polyfill.min.js?features=es6
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js


# Extensions
# These add extra functionality to your Markdown files.
markdown_extensions:
  - pymdownx.arithmatex:
      generic: true
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - pymdownx.highlight:
      anchor_linenums: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
